Permalink
Browse files

Merge pull request #324 from r4um/rpm_spec_fix

Fix rpm spec for os tag check (fixes a problem caused by Ruby 1.8 not allowing you to override Object#!=)
  • Loading branch information...
2 parents b75ec8f + 757e41f commit 2eadb83d595dbe0667ee3e6aafe230f61c9c6f14 @jordansissel committed Jan 2, 2013
Showing with 1 addition and 1 deletion.
  1. +1 −1 spec/fpm/package/rpm_spec.rb
@@ -268,7 +268,7 @@ def subject.render_template; @rpmspec = template("rpm.erb").result(binding); end
# The 'os' tag will be set to \x01 if the package 'target'
# was set incorrectly.
- insist { @rpmtags[:os] } != "\x01"
+ reject { @rpmtags[:os] } == "\x01"
insist { @rpmtags[:os] } == os
insist { `rpm -q --qf '%{OS}' -p #{@target}`.chomp } == os

0 comments on commit 2eadb83

Please sign in to comment.